import request from '@/utils/request'

// 查询订单信息列表
export function listAppletOrder(query) {
  return request({
    url: '/model/AppletOrder/list',
    method: 'get',
    params: query
  })
}

// 查询订单信息详细
export function getAppletOrder(id) {
  return request({
    url: '/model/AppletOrder/' + id,
    method: 'get'
  })
}

// 查询订单信息详细-详情
export function getAppletOrderDetail(id) {
  return request({
    url: '/model/AppletOrder/detail/' + id,
    method: 'get'
  })
}


// 新增订单信息
export function addAppletOrder(data) {
  return request({
    url: '/model/AppletOrder',
    method: 'post',
    data: data
  })
}

// 修改订单信息
export function updateAppletOrder(data) {
  return request({
    url: '/model/AppletOrder',
    method: 'put',
    data: data
  })
}

// 删除订单信息
export function delAppletOrder(id) {
  return request({
    url: '/model/AppletOrder/' + id,
    method: 'delete'
  })
}
